package com.example.civilizedcity.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.example.civilizedcity.common.StringUtils;
import com.example.civilizedcity.entity.TaIssue;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.example.civilizedcity.entity.TaOrgIssue;
import com.example.civilizedcity.mapper.TaOrgIssueMapper;
import com.example.civilizedcity.service.TaOrgIssueService;

/**
 * 单位问题单;(ta_org_issue)表服务实现类
 *
 * @author : http://www.chiner.pro
 * @date : 2022-12-28
 */
@Service
public class TaOrgIssueServiceImpl extends BaseServiceImpl<TaOrgIssueMapper, TaOrgIssue> implements TaOrgIssueService {

    @Override
    public IPage<TaIssue> getIssuePageBy(IPage<TaIssue> pg, String orgId, String sourceType, String bizStatus) {

        String processNode = null;
        Boolean isExpire = false;

        if (!StringUtils.isEmpty(bizStatus)) {
            if ("expire".equals(bizStatus)) {
                isExpire = true;
            } else {
                processNode = bizStatus;
            }
        }

        return baseMapper.getIssuePageBy(pg, orgId, sourceType, processNode, isExpire);
    }
}